## markdown-toc-el 0.1.2

=== Makefile ===
MODE_NAME=markdown-toc
VERSION=$$(grep "^;; Version: " $(MODE_NAME).el | cut -f3 -d' ')
PACKAGE_FOLDER=$(MODE_NAME)-$(VERSION)
ARCHIVE=$(PACKAGE_FOLDER).tar
EMACS=emacs

.PHONY: clean

pr:
	hub pull-request -b ardumont:master

build:
	cask build

clean-dist:
	rm -rf dist/

clean: clean-dist
	rm -rf *.tar
	cask clean-elc

install:
	cask install

test-init:
	cask exec ert-runner init

test: clean
	cask exec ert-runner

pkg-file:
	cask pkg-file

pkg-el: pkg-file
	cask package

package: clean pkg-el
	cp dist/$(ARCHIVE) .
	make clean-dist

info:
	cask info

release:
	./release.sh $(VERSION)

install-cask:
	curl -fsSkL https://raw.github.com/cask/cask/master/go | python

=== debian/changelog ===
markdown-toc-el (0.1.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 02 Sep 2019 08:49:52 -0300

markdown-toc-el (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #861128)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 18 Sep 2018 17:29:57 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile

.PHONY: override_dh_auto_build

override_dh_auto_clean:

.PHONY: override_dh_auto_clean

override_dh_auto_install:

.PHONY: override_dh_auto_install

## markdown-toc-el 0.1.5

=== Makefile ===
MODE_NAME=markdown-toc
VERSION=$$(grep "^;; Version: " $(MODE_NAME).el | cut -f3 -d' ')
PACKAGE_FOLDER=$(MODE_NAME)-$(VERSION)
ARCHIVE=$(PACKAGE_FOLDER).tar
EMACS=emacs
CASK ?= cask
LANG=en_US.UTF-8

.PHONY: clean

pr:
	hub pull-request -b ardumont:master

build:
	${CASK} build

clean-dist:
	rm -rf dist/

clean: clean-dist
	rm -rf *.tar
	${CASK} clean-elc

install:
	${CASK} install

test-init:
	${CASK} exec ert-runner init

test: clean
	${CASK} exec ert-runner

pkg-file:
	${CASK} pkg-file

pkg-el: pkg-file
	${CASK} package

package: clean pkg-el
	cp dist/$(ARCHIVE) .
	make clean-dist

info:
	${CASK} info

release:
	./release.sh $(VERSION)

version:
	@echo "application $(PACKAGE): $(VERSION)\npackage: $(ARCHIVE)"

=== debian/changelog ===
markdown-toc-el (0.1.5-3) unstable; urgency=medium

  * Orphan package.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 01 Jul 2023 20:48:16 -0400

markdown-toc-el (0.1.5-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Update my email address.
  * Declare Standards-Version 4.6.1 (no further changes required).

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-markdown-toc: Drop versioned constraint on emacs in Recommends.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 27 Nov 2022 17:03:24 -0500

markdown-toc-el (0.1.5-1) unstable; urgency=medium

  * New upstream release.  Markdown-toc-el is now a minor mode, and its new
    key bindings are documented in README.md.
  * Upstream once again provides nice release notes (per-release objectives
    and issue tracking) in a file named 'todo.org' upstream.  Install it as
    NEWS, per Policy §12.7.  See d/rules and d/docs for the details.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 20 May 2020 18:03:42 -0400

markdown-toc-el (0.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Update docs and rules to no longer install release-notes.md, because it
    disappeared upstream.
  * Use secure URLs for Homepage and Source.
  * Switch to debhelper-compat 12.
  * Drop emacs25 from Enhances, because emacs25 is a transitional dummy
    package in buster.
  * Update copyright statement to reflect upstream changes.
  * Update my copyright years.
  * Drop 0001-Depend-on-markdown-mode-2.2.patch.  Anyone who is unofficially
    using this package on stretch should have installed elpa-markdown-mode
    2.3+154-2 by now.
  * rules: Drop unnecessary .PHONY targets & add comment to explain
    overrides.
  * Switch to debhelper-compat 13.
  * Add Rules-Requires-Root: no.
  * Declare Standards-Version 4.5.0 (no further changes required).

 -- Nicholas D Steeves <nsteeves@gmail.com>  Wed, 06 May 2020 23:21:19 -0400

=== debian/control ===
Source: markdown-toc-el
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , elpa-el-mock
             , elpa-s
             , elpa-dash
             , elpa-markdown-mode
             , elpa-mocker
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/markdown-toc-el
Vcs-Git: https://salsa.debian.org/emacsen-team/markdown-toc-el.git
Homepage: https://github.com/ardumont/markdown-toc
Testsuite: autopkgtest-pkg-elpa

Package: elpa-markdown-toc
Architecture: all
Depends: ${elpa:Depends}
       , ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: Emacs TOC (table of contents) generator for markdown files
 Markdown-toc is a simple Emacs addon that parses a Markdown buffer
 and creates a handy table of contents.  It can also refresh an
 existing TOC to reflect updates to the body of the document.  When
 writing a standalone markdown document, when one cannot rely on
 external tools, rely on markdown-toc.  It provides greater control
 over output levels and headings than Pandoc's --toc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile

# Upstream Makefile clean and install targets are not useful when
# using dh-elpa.
override_dh_auto_clean:
override_dh_auto_install:

override_dh_elpa:
	dh_elpa
	install -D todo.org debian/tmp/NEWS
